import request from '@/utils/request'
// 订单付款获取用户详细信息
export function getSysDeptInfo(query) {
  return request({
    url: '/system/goodsPayment/getSysDeptInfo',
	params: query,
    method: 'get'
  })
}
// 订单付款获取用户详细信息
export function edit(data) {
  return request({
    url: '/system/goodsPayment/edit',
	data: data,
    method: 'post'
  })
}
// 订单结算获取用户详细信息
export function getDeptInfo() {
  return request({
    url: '/system/goodsPayment/getDeptInfo',
    method: 'get'
  })
}
// 入账明细
export function getBalanceList(query) {
  return request({
    url: '/system/goodsPaymentEntr/balanceList',
	params: query,
    method: 'post'
  })
}
// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/system/user/getInfo',
    method: 'get'
  })
}
export function goodsPayment(query) {
  return request({
    url: '/system/goodsPaymentEntr/list',
    method: 'post',
    params: query
  })
}
export function getTBusShopInfo(query) {
  return request({
    url: '/system/goodsPaymentEntr/getTBusShopInfo',
    method: 'get',
    params: query
  })
}
//获取余额
export function getBalance(data) {
  return request({
    url: '/system/goodsPaymentEntr/getBalance',
    method: 'post',
    data: data
  })
}
//提现
export function tixian(data) {
  return request({
    url: '/system/goodsPaymentEntr/tixian',
    method: 'post',
    data: data
  })
}
// 出售商品信息
export function getGoodsInfo(query) {
  return request({
    url: '/system/goodsPayment/getGoodsInfo',
    method: 'post',
	params: query
  })
}
export function getPaymentInfo(query) {
  return request({
    url: '/system/goodsPayment/getPaymentInfo',
    method: 'post',
    params: query
  })
}


// 查询店铺信息详细
export function getpartner(id) {
  return request({
    url: '/system/partner/' + id,
    method: 'get'
  })
}


// 修改店铺信息
export function updatepartner(data) {
  return request({
    url: '/system/goodsNotice/updateGoodsNotice',
    method: 'put',
    data: data
  })
}

// 保存订单信息
export function updatePic(data) {
  return request({
    url: '/system/goodsPayment/updatePic',
    method: 'post',
    data: data
  })
}
// 保存订单信息
export function getTBusGoodsPaymentSum(query) {
  return request({
    url: '/system/goodsPayment/getTBusGoodsPaymentSum',
    method: 'post',
    params: query
  })
}

// 申请结算
export function applyForSettlement(data) {
  return request({
    url: '/system/goodsPayment/applyForSettlement',
    method: 'post',
    data: data
  })
}
// 确认结算
export function confirmSettlement(data) {
  return request({
    url: '/system/goodsPayment/confirmSettlement',
    method: 'post',
    data: data
  })
}
// 结算审核
export function confirm(data) {
  return request({
    url: '/system/goodsPayment/confirm',
    method: 'post',
    data: data
  })
}
//退款
export function updateTefund(query) {
  return request({
    url: '/system/goodsPayment/updateTefund',
    method: 'post',
    params: query
  })
}
//驳回
export function repulse(data) {
  return request({
    url: '/system/goodsPayment/repulse',
    method: 'post',
    data: data
  })
}

// 查询商品信息列表
export function getInitGoodsManager(query) {
  return request({
    url: '/system/AppWebManagerGoodsController/getInitGoodsManager',
    method: 'get',
    params: query
  })
}
// 查询店铺信息列表
export function queryTBusShop() {
  return request({
    url: '/system/Bushop/queryTBusShop',
    method: 'get',
  })
}
export function callUpdateProcedure() {
  return request({
    url: '/system/goodsPaymentEntr/callUpdateProcedure',
    method: 'get',
  })
}
